'''
Created on 13 sep 2012

@author: tomlun
'''
import lib
import pyglet
import random
import uuid

class BonusPoint(object):
    '''
    classdocs
    '''
    texture = pyglet.image.load("data/s.png")
    gravity = 200

    def __init__(self, scene_manager, batch):
        '''
        Constructor
        '''        
        self.node = scene_manager.create_scene_node("bonus_node_%s" % str(uuid.uuid1()))
        entity = lib.Entity(self.texture, batch)
        self.node.attach(entity)
        self.node.position = (random.randint(40, 1024 - 84), 768 + self.texture.height)        
        
    def update(self, dt):
        self.node.y -= self.gravity * dt  
        