'''
Created on 10 sep 2012

@author: tomlun
'''
import lib

class FrameDispatcher(object):
    '''
    classdocs
    '''

    def __init__(self, cls):
        '''
        Constructor
        '''
        self.cls = cls
        lib.Root()._add_frame_dispatcher(self)
        
    def _frame_started(self, dt):
        try:
            self.cls.frame_started(dt)
        except:
            pass
    
    def _frame_ended(self, dt):
        try:
            self.cls.frame_ended(dt)
        except:
            pass