'''
Created on 10 sep 2012

@author: tomlun
'''
from pyglet.sprite import Sprite

class Entity(Sprite):
    '''
    classdocs
    '''

    def __init__(self, texture, batch, group = None):
        '''
        Create a new extended pyglet.sprite.Sprite
        
        @type texture: pyglet.image.AbstractImage
        @param texture: The texture to use
        @type batch: pyglet.graphics.Batch
        @param batch: The batch to use  
        '''
        
        Sprite.__init__(self, texture, batch = batch, group = group)
        
    def hit_test(self, x, y):        
        return (self.x < x + 1 < self.x + self.width and  
                self.y < y + 1 < self.y + self.height) 