'''
Created on 11 sep 2012

@author: tomlun
'''
import pyglet

class Button(pyglet.text.Label):
    '''
    classdocs
    '''
    _color = (24, 46, 255, 255)
    _color_hover = (19, 34, 178, 255) 

    def __init__(self, text, batch):
        '''
        Constructor
        '''
        pyglet.text.Label.__init__(self)
        
        self.text = text
        self.batch = batch
        self.font_name = "Zombielawn"
        self.font_size = 46
        self.color = self._color
        self.callback = None
        
    def hover(self):
        self.color = self._color_hover
        
    def reset_color(self):
        self.color = self._color
        
    def hit_test(self, x, y):        
        return (self.x < x + 1 < self.x + self.content_width and  
                self.y < y + 1 < self.y + self.content_height) 