'''
Created on 13 sep 2012

@author: tomlun
'''
import lib
import pyglet
import random
import uuid

class Enemy(object):
    '''
    classdocs
    '''   
    speed = 200
    
    texture = pyglet.image.load("data/enemy.png")
    texture2 = pyglet.image.load("data/enemy2.png")
    
    DIR_RIGHT = 1
    DIR_LEFT = 0
    
    def __init__(self, scene_manager, batch):
        '''
        Constructor
        '''
        self.node = scene_manager.create_scene_node("bonus_node_%s" % str(uuid.uuid1()))        
        
        self.direction = random.randint(0, 1)
        if self.direction == self.DIR_LEFT:
            entity = lib.Entity(self.texture2, batch)
            self.node.attach(entity)
            self.node.position = (1024 + self.texture2.width, random.randint(40, 768 - 84))            
        elif self.direction == self.DIR_RIGHT:
            entity = lib.Entity(self.texture, batch)
            self.node.attach(entity)
            self.node.position = (-self.texture.width, random.randint(40, 768 - 84))
        
    def update(self, dt):
        if self.direction == self.DIR_LEFT:
            self.node.x -= self.speed * dt
        elif self.direction == self.DIR_RIGHT:
            self.node.x += self.speed * dt