'''
Created on 12 sep 2012

@author: tommy.lundgren
'''
import lib
import pyglet
import random
import uuid

class Fuel(object):
    '''
    classdocs
    '''    
    gravity = 100
    texture = pyglet.image.load("data/fuel.png")
    _strafe_speed = 10

    def __init__(self, scene_manager, batch):
        '''
        Constructor
        '''
        self.node = scene_manager.create_scene_node("fuel_node_%s" % str(uuid.uuid1()))
        entity = lib.Entity(self.texture, batch)
        self.node.attach(entity)
        self.node.position = (random.randint(40, 1024 - 84), 768)
        
    def update(self, dt):
        self.node.y -= self.gravity * dt
        
        if self.node.x > 1024 /2:
            self.node.x -= self._strafe_speed * dt
        else:
            self.node.x += self._strafe_speed * dt